## mako 0.5.0

=== doc/build/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = output

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest dist-html site-mako

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dist-html  same as html, but places files in /doc"
	@echo "  site-mako  build Mako files for usage on the Mako site"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html -A mako_layout=html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dist-html:
	$(SPHINXBUILD) -b html -A mako_layout=html $(ALLSPHINXOPTS) ..
	@echo
	@echo "Build finished.  The HTML pages are in ../."

site-mako:
	$(SPHINXBUILD) -b html -A mako_layout=site $(ALLSPHINXOPTS) $(BUILDDIR)/site
	@echo
	@echo "Build finished. The Mako pages are in $(BUILDDIR)/site."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SQLAlchemy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SQLAlchemy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SQLAlchemy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SQLAlchemy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	cp texinputs/* $(BUILDDIR)/latex/
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) .
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## mako 0.3.4

=== debian/changelog ===
mako (0.3.4-5) unstable; urgency=low

  * Upload to unstable 

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 02 Oct 2010 20:14:46 +0200

mako (0.3.4-4) experimental; urgency=low

  * Rebuild against newer python3-all package (python3.1 now uses
    /usr/lib/python3/), minimum python3-all version bumped to 3.1.2-8

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 12 Sep 2010 17:45:01 +0200

mako (0.3.4-3) experimental; urgency=low

  * Add python3-mako binary package
  * make_sure_2to3_is_used.patch added
  * Source format changed to 3.0 (quilt)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 06 Sep 2010 23:04:39 +0200

mako (0.3.4-2) unstable; urgency=low

  * Move python-markupsafe to Depends (closes: #587760)
  * Standards-Version bumped to 3.9.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 01 Jul 2010 18:49:09 +0200

mako (0.3.4-1) unstable; urgency=low

  * New upstream release
  * Add python-markupsafe to Recommends

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 24 Jun 2010 09:56:48 +0200

mako (0.3.3-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 01 Jun 2010 18:14:20 +0200

mako (0.3.2-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 18 Mar 2010 21:59:27 +0100

mako (0.3.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 07 Mar 2010 19:56:38 +0100

mako (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Move python-beaker from Recommends to Suggests (closes: #569986)
  * Install Vim syntax and indent files in /usr/share/vim/addons/
    Use `vim-addons install mako` to enable it
  * Standards-Version bumped to 3.8.4 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 06 Mar 2010 14:01:41 +0100

mako (0.2.5-2) unstable; urgency=low

  * Add --prefix=/usr to setup.py's install command (fixes FTBFS bug with
    python2.6)
  * Remove requires.txt from Python's Egg metadata (dpkg handles dependencies
    way better, closes LP: #461281)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 26 Oct 2009 22:20:13 +0100

mako (0.2.5-1) unstable; urgency=low

  * New upstream release
  * debian/copyright file updated
  * Switch to python-support
    - debian/preinst file added (to remove python-central files)
  * Standards-Version bumped to 3.8.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 07 Sep 2009 23:29:57 +0200

mako (0.2.4-2) unstable; urgency=low

  * Set the minimum required Python version to 2.4 (closes: #515096)
  * Upload to unstable
  * Change Debian packaging license to MIT (to match upstream)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 13 Feb 2009 16:50:39 +0100

mako (0.2.4-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Lenny freeze, to ease
    testing rev. dependencies)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 24 Dec 2008 01:26:02 +0100

mako (0.2.3-1) experimental; urgency=low

  [ Sandro Tosi ]
  * Switch Vcs-Browser field to viewsvn

  [ Piotr Ożarowski ]
  * New upstream release (upload to experimental due to Lenny freeze, to ease
    testing rev. dependencies)
    + python-beaker's recommended version bumped to >= 1.1
  * Let python-central do the Egg renaming part
    + python-central required build version bumped to 0.6.1
    + debian/rules updated
  * Compress binary package with bzip2

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 23 Nov 2008 18:28:03 +0100

mako (0.2.2-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 23 Jun 2008 20:06:23 +0200

mako (0.2.1-1) unstable; urgency=low

  * New upstream release
  * debian/copyright file updated
  * Standards-Version bumped to 3.8.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 17 Jun 2008 19:43:47 +0200

mako (0.2.0-1) unstable; urgency=low

  * New upstream release
  * Add "~" to setuptools' required build version (to ease backports)
  * Add manpage for new mako-render script
  * s/hyperfast/fast in short description to avoid inflated adjectives
    (closes: #466008)
  * doc-base: section changed to Programming/Python

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 03 Jun 2008 22:27:15 +0200

mako (0.1.10-1) unstable; urgency=low

  * New upstream release
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)
  * Bump Standards-Version to 3.7.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 27 Dec 2007 11:36:10 +0100

mako (0.1.9-1) unstable; urgency=low

  * New upstream release
  * Homepage field added
  * debian/rules cleanups

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 25 Sep 2007 23:40:21 +0200

mako (0.1.8-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 26 Jun 2007 15:39:18 +0200

mako (0.1.7-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 13 Jun 2007 15:07:59 +0200

mako (0.1.6-1) unstable; urgency=low

  * New upstream release
  * python-myghtyutils removed from Depends since it's no longer used,
  * python-beaker added to Recommends (it can be used for caching now)
  * Provides field removed (it's not used)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 19 May 2007 15:32:25 +0200

mako (0.1.5-1) unstable; urgency=low

  * New upstream release
  * Changed my address to piotr@debian.org

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 01 Apr 2007 00:04:28 +0200

mako (0.1.4-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ozarowski <ozarow@gmail.com>  Sat, 10 Mar 2007 19:02:06 +0100

mako (0.1.3-1) unstable; urgency=low

  * New upstream release
  * Added python-pylons to Enhances:

 -- Piotr Ozarowski <ozarow@gmail.com>  Wed, 21 Feb 2007 01:41:09 +0100

mako (0.1.2-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ozarowski <ozarow@gmail.com>  Thu,  1 Feb 2007 12:15:20 +0100

mako (0.1.1-1) unstable; urgency=low

  * Initial release (closes: #405576)



=== debian/control ===
Source: mako
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5.0.38)
Build-Depends-Indep: python (>= 2.3.5-11), python-all, python-support (>= 0.6.4), python-setuptools (>= 0.6b3-1~),
 python3-all (>= 3.1.2-8), python3-setuptools
Standards-Version: 3.9.0
Homepage: http://www.makotemplates.org/
XS-Python-Version: >= 2.4
X-Python3-Version: >= 3.0
Vcs-Svn: svn://svn.debian.org/python-modules/packages/mako/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/mako/trunk/

Package: python-mako
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-markupsafe
Suggests: python-beaker (>= 1.1)
Enhances: python-pylons, python-turbogears, python-pygments
XB-Python-Version: ${python:Versions}
Description: fast and lightweight templating for the Python platform
 Mako is a template library written in Python. It provides a familiar, non-XML
 syntax which compiles into Python modules for maximum performance. Mako's
 syntax and API borrows from the best ideas of many others, including Django
 templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded
 Python (i.e. Python Server Page) language, which refines the familiar ideas of
 componentized layout and inheritance to produce one of the most
 straightforward and flexible models available, while also maintaining close
 ties to Python calling and scoping semantics.

Package: python3-mako
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-markupsafe
Suggests: ${python3:Suggests}, python3-beaker
Description: fast and lightweight templating for the Python 3 platform
 Mako is a template library written in Python. It provides a familiar, non-XML
 syntax which compiles into Python modules for maximum performance. Mako's
 syntax and API borrows from the best ideas of many others, including Django
 templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded
 Python (i.e. Python Server Page) language, which refines the familiar ideas of
 componentized layout and inheritance to produce one of the most
 straightforward and flexible models available, while also maintaining close
 ties to Python calling and scoping semantics.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

PYVERS=$(shell pyversions -vr)
PY3VERS=$(shell py3versions -vs)
pkgdir = $(CURDIR)/debian/python$(if $(patsubst 3.%,,$(1)),,3)-mako
-include /usr/share/python/python.mk

clean:
	dh_testdir
	dh_testroot
	rm -f build-*
	rm -rf build
	find . -name '*\.py[co]' -delete
	dh_clean

build:

install: $(PYVERS:%=install-python%) $(PY3VERS:%=install-python%)
	dh_install
	mv $(CURDIR)/debian/python-mako/usr/share/vim/addons/indent/mako_indent.vim \
	   $(CURDIR)/debian/python-mako/usr/share/vim/addons/indent/mako.vim

install-python%:
	python$* setup.py build_scripts	--executable=/usr/bin/python
	python$* setup.py install $(py_setup_install_args) \
		--single-version-externally-managed \
		--root $(call pkgdir,$*)
	# dpkg handles dependencies way better than Python
	find $(call pkgdir,$*) -name requires.txt -type f -delete

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i CHANGES
	dh_installdocs -i
	dh_installexamples -i
	dh_installman -i
	rm -rf debian/python-mako/usr/share/doc/python-mako/doc/build
	dh_pysupport -i
	# TODO: new name for Py3k's mako-render
	rm -f $(call pkgdir,3.X)/usr/bin/mako-render
	dh_python3 -i
	dh_compress -i -X.py -Xmakotemplates.txt
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i -- -Z bzip2

binary-arch:

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://cheeseshop.python.org/packages/source/M/Mako/Mako-(.*)\.tar\.gz debian uupdate

## mako 0.3.6

=== debian/changelog ===
mako (0.3.6-1) unstable; urgency=low

  * New upstream release
    - make_sure_2to3_is_used patch removed (applied upstream)
  * Switch from dh_pysupport to dh_python2
  * Add python-mako-doc package (and move documentation, examples and VIM
    files there), rebuild docs using Sphinx
  * Run tests for all 2.X Python versions

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 20 Nov 2010 16:26:01 +0100

mako (0.3.5-1) unstable; urgency=low

  * New upstream release
  * Standards-Version bumped to 3.9.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 20 Oct 2010 23:48:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,24 @@
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 5.0.38)
-Build-Depends-Indep: python (>= 2.3.5-11), python-all, python-support (>= 0.6.4), python-setuptools (>= 0.6b3-1~),
- python3-all (>= 3.1.2-8), python3-setuptools
-Standards-Version: 3.9.0
+Build-Depends-Indep: python-all, python-setuptools,
+ python3-all, python3-setuptools,
+# to rebuild docs:
+ python-sphinx,
+# for tests:
+ python-nose, python-markupsafe
+Standards-Version: 3.9.1
 Homepage: http://www.makotemplates.org/
-XS-Python-Version: >= 2.4
+X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/mako/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/mako/trunk/
 
 Package: python-mako
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-markupsafe
-Suggests: python-beaker (>= 1.1)
+Depends: ${python:Depends}, ${misc:Depends}
+Breaks: ${python:Breaks}
+Suggests: python-beaker (>= 1.1), python-mako-doc
 Enhances: python-pylons, python-turbogears, python-pygments
 XB-Python-Version: ${python:Versions}
 Description: fast and lightweight templating for the Python platform
@@ -31,8 +36,8 @@
 
 Package: python3-mako
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-markupsafe
-Suggests: ${python3:Suggests}, python3-beaker
+Depends: ${python3:Depends}, ${misc:Depends}
+Suggests: ${python3:Suggests}, python3-beaker, python-mako-doc
 Description: fast and lightweight templating for the Python 3 platform
  Mako is a template library written in Python. It provides a familiar, non-XML
  syntax which compiles into Python modules for maximum performance. Mako's
@@ -42,3 +47,17 @@
  componentized layout and inheritance to produce one of the most
  straightforward and flexible models available, while also maintaining close
  ties to Python calling and scoping semantics.
+
+Package: python-mako-doc
+Section: doc
+Architecture: all
+Priority: extra
+Depends: libjs-jquery, ${misc:Depends}
+Breaks: python-mako (<< 0.3.6-1)
+Replaces: python-mako (<< 0.3.6-1)
+Suggests: python-mako, python3-mako
+Description: documentation for the Mako Python library
+ Mako is a template library written in Python.
+ .
+ This package contains the documentation for Mako in HTML and
+ reStructuredText formats.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

PYVERS=$(shell pyversions -vr)
PY3VERS=$(shell py3versions -vs)
pkgdir = $(CURDIR)/debian/python$(if $(patsubst 3.%,,$(1)),,3)-mako
-include /usr/share/python/python.mk

clean:
	dh_testdir
	dh_testroot
	rm -f build-*
	rm -rf build
	find . -name '*\.py[co]' -delete
	dh_clean

build:

test: $(PYVERS:%=test-python%)
test-python%:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	python$* setup.py test --quiet
endif

build-docs:
	dh_testdir
	dh_installdirs -i
	cd doc/build && sphinx-build -N -q -E -b html . \
	 $(call pkgdir,2.X)-doc/usr/share/doc/python-mako-doc/html/
	rm -rf $(call pkgdir,2.X)-doc/usr/share/doc/python-mako-doc/html/.doctrees
	touch $@

install: $(PYVERS:%=install-python%) $(PY3VERS:%=install-python%) build-docs test
	dh_install
	mv $(CURDIR)/debian/python-mako-doc/usr/share/vim/addons/indent/mako_indent.vim \
	   $(CURDIR)/debian/python-mako-doc/usr/share/vim/addons/indent/mako.vim
	#rm -rf debian/python-mako-doc/usr/share/doc/python-mako/doc/build

install-python%:
	python$* setup.py build_scripts	--executable=/usr/bin/python
	python$* setup.py install $(py_setup_install_args) \
		--root $(call pkgdir,$*)

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installchangelogs -p python-mako-doc CHANGES
	dh_installdocs -i
	dh_installexamples -i
	dh_link -i
	dh_installman -i
	dh_python2 -i
	# TODO: new name for Py3k's mako-render
	rm -f $(call pkgdir,3.X)/usr/bin/mako-render
	dh_python3 -i
	dh_compress -i -X.py -X.js -Xmakotemplates.txt
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i -- -Z bzip2

binary-arch:

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## mako 0.4.1

=== debian/changelog ===
mako (0.4.1-2) unstable; urgency=low

  * Rebuild to add Python 2.7 and drop Python 2.5 support

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 16 Apr 2011 13:00:25 +0200

mako (0.4.1-1) unstable; urgency=low

  * New upstream release
  * Add workaround for "build/lib" bug in Python/distribute
  * Standards-Version bumped to 3.9.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 07 Apr 2011 22:31:45 +0200

mako (0.4.0-1) unstable; urgency=low

  * New upstream release
  * debian/rules: fix DEB_BUILD_OPTIONS=nocheck builds (closes: 613855)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 22 Feb 2011 21:25:15 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python-sphinx,
 # for tests:
  python-nose, python-markupsafe
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.makotemplates.org/
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 
 test: $(PYVERS:%=test-python%)
 test-python%:
+	-
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	python$* setup.py test --quiet
 endif
@@ -41,6 +42,7 @@
 	python$* setup.py build_scripts	--executable=/usr/bin/python
 	python$* setup.py install $(py_setup_install_args) \
 		--root $(call pkgdir,$*)
+	([ -d build/lib ] && mv build/lib $(shell python$* -c 'from distutils.command.build import build; from distutils.core import Distribution; b = build(Distribution()); b.finalize_options(); print(b.build_platlib)')) || true
 
 binary-indep: build install
 	dh_testdir -i

## mako 0.5.0

=== debian/changelog ===
mako (0.5.0-1) unstable; urgency=low

  * New upstream release
  * Add build-arch and build-indep targets to debian/rules
  * Add libjs-underscore to python-mako-doc's Depends

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 28 Sep 2011 22:38:26 +0200

mako (0.4.2-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 06 Aug 2011 23:16:07 +0200

## mako 0.6.0

=== debian/changelog ===
mako (0.6.0-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 22 Jan 2012 19:42:56 +0100

## mako 0.6.1

=== debian/changelog ===
mako (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 29 Jan 2012 16:02:55 +0100

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,8 @@
 	dh_clean
 
 build:
+build-indep:
+build-arch:
 
 test: $(PYVERS:%=test-python%)
 test-python%:
@@ -55,7 +57,7 @@
 	dh_installman -i
 	dh_python2 -i
 	# TODO: new name for Py3k's mako-render
-	rm -f $(call pkgdir,3.X)/usr/bin/mako-render
+	rm -rf $(call pkgdir,3.X)/usr/bin
 	dh_python3 -i
 	dh_compress -i -X.py -X.js -Xmakotemplates.txt
 	dh_fixperms -i
@@ -68,4 +70,4 @@
 
 binary: binary-indep binary-arch
 
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: clean build-arch build-indep binary binary-arch binary-indep install

## mako 0.6.2

=== debian/changelog ===
mako (0.6.2-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 02 Feb 2012 21:06:03 +0100

=== debian/control ===
--- 
+++ 
@@ -52,7 +52,7 @@
 Section: doc
 Architecture: all
 Priority: extra
-Depends: libjs-jquery, ${misc:Depends}
+Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
 Breaks: python-mako (<< 0.3.6-1)
 Replaces: python-mako (<< 0.3.6-1)
 Suggests: python-mako, python3-mako

## mako 0.7.0

=== debian/changelog ===
mako (0.7.0-1.1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Bump minimum required Python version to 2.6

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 19 Jan 2013 13:07:43 +0100

mako (0.7.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "missing Breaks+Replaces: python3-mako (<< 0.3.6-1)":
    add them for python-mako-doc.
    (Closes: #694330)

 -- gregor herrmann <gregoa@debian.org>  Fri, 07 Dec 2012 16:44:44 +0100

mako (0.7.0-1) unstable; urgency=low

  * New upstream release
  * Standards-Version bumped to 3.9.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 31 Mar 2012 20:03:29 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
  python-sphinx,
 # for tests:
  python-nose, python-markupsafe
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.makotemplates.org/
-X-Python-Version: >= 2.4
+X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/mako/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/mako/trunk/
@@ -53,8 +53,8 @@
 Architecture: all
 Priority: extra
 Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
-Breaks: python-mako (<< 0.3.6-1)
-Replaces: python-mako (<< 0.3.6-1)
+Breaks: python-mako (<< 0.3.6-1), python3-mako (<< 0.3.6-1)
+Replaces: python-mako (<< 0.3.6-1), python3-mako (<< 0.3.6-1)
 Suggests: python-mako, python3-mako
 Description: documentation for the Mako Python library
  Mako is a template library written in Python.

## mako 0.7.1

=== debian/changelog ===
mako (0.7.1-1) experimental; urgency=low

  * New upstream release
    (upload to experimental due to Wheezy freeze)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 13 Jul 2012 14:31:05 -0600

## mako 0.7.3

=== debian/changelog ===
mako (0.7.3-1) experimental; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 12 Nov 2012 00:03:25 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python-nose, python-markupsafe
 Standards-Version: 3.9.3
 Homepage: http://www.makotemplates.org/
-X-Python-Version: >= 2.6
+X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/mako/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/mako/trunk/
@@ -53,8 +53,8 @@
 Architecture: all
 Priority: extra
 Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
-Breaks: python-mako (<< 0.3.6-1), python3-mako (<< 0.3.6-1)
-Replaces: python-mako (<< 0.3.6-1), python3-mako (<< 0.3.6-1)
+Breaks: python-mako (<< 0.3.6-1)
+Replaces: python-mako (<< 0.3.6-1)
 Suggests: python-mako, python3-mako
 Description: documentation for the Mako Python library
  Mako is a template library written in Python.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	dh_clean
 
 build:
-build-indep:
+build-indep: build-docs
 build-arch:
 
 test: $(PYVERS:%=test-python%)

## mako 0.8.1

=== debian/changelog ===
mako (0.8.1-1~cloud0) precise-havana; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 30 May 2013 11:29:40 -0500

mako (0.8.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 25 May 2013 22:58:26 +0200

mako (0.8.0-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Piotr Ożarowski ]
  * Standards-Version bumped to 3.9.4 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 05 May 2013 21:28:00 +0200

mako (0.8.0-1) experimental; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 12 Apr 2013 20:06:05 +0200

=== debian/control ===
--- 
+++ 
@@ -10,17 +10,16 @@
  python-sphinx,
 # for tests:
  python-nose, python-markupsafe
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.makotemplates.org/
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/mako/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/mako/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/mako/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/mako/trunk/
 
 Package: python-mako
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
-Breaks: ${python:Breaks}
 Suggests: python-beaker (>= 1.1), python-mako-doc
 Enhances: python-pylons, python-turbogears, python-pygments
 XB-Python-Version: ${python:Versions}

## mako 0.9.1

=== debian/changelog ===
mako (0.9.1-1) unstable; urgency=low

  * New upstream release
  * Standards-Version bumped to 3.9.5 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 29 Dec 2013 11:57:23 +0100

mako (0.9.0-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 31 Aug 2013 11:58:59 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,9 @@
  python-sphinx,
 # for tests:
  python-nose, python-markupsafe
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.makotemplates.org/
 X-Python-Version: >= 2.4
-X-Python3-Version: >= 3.0
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/mako/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/mako/trunk/
 
@@ -22,7 +21,6 @@
 Depends: ${python:Depends}, ${misc:Depends}
 Suggests: python-beaker (>= 1.1), python-mako-doc
 Enhances: python-pylons, python-turbogears, python-pygments
-XB-Python-Version: ${python:Versions}
 Description: fast and lightweight templating for the Python platform
  Mako is a template library written in Python. It provides a familiar, non-XML
  syntax which compiles into Python modules for maximum performance. Mako's

=== debian/rules ===
--- 
+++ 
@@ -64,7 +64,7 @@
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
-	dh_builddeb -i -- -Z bzip2
+	dh_builddeb -i
 
 binary-arch:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/M/Mako/Mako-(.+)\.tar\.gz debian uupdate

## mako 1.0.0

=== debian/changelog ===
mako (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Add python-changelog and python-sphinx-paramlinks to Build-Depends
    (needed while rebuilding documentation)
  * Enable Python 3.X tests during build (add necessary packages to
    Build-Depends)
  * Update links to upstream changelog (now points to changelog.rst)
  * Add lintian override for source-is-missing doc/searchindex.js
    (this file is generated by sphinx-build, all sources are in the tarball)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 10 Jun 2014 20:38:26 +0200

## mako 1.0.0+dfsg

=== debian/changelog ===
mako (1.0.0+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove minified javascript files from upstream source. They are not used
    in the build process. Closes: #722265

 -- Ivo De Decker <ivodd@debian.org>  Tue, 11 Nov 2014 12:39:18 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
 Build-Depends-Indep: python-all, python-setuptools,
  python3-all, python3-setuptools,
 # to rebuild docs:
- python-sphinx,
+ python-sphinx, python-changelog, python-sphinx-paramlinks,
 # for tests:
- python-nose, python-markupsafe
+ python-nose, python-markupsafe, python-mock,
+ python3-nose, python3-markupsafe, python3-mock
 Standards-Version: 3.9.5
 Homepage: http://www.makotemplates.org/
 X-Python-Version: >= 2.4

## mako 1.0.2+ds1

=== debian/changelog ===
mako (1.0.2+ds1-1) unstable; urgency=medium

  * New upstream release.
    - remove python35-compat.patch - no longer needed
  * Add debian/upstream/signing-key.asc

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 26 Aug 2015 22:49:37 +0200

mako (1.0.1+ds1-1) unstable; urgency=medium

  [ Barry Warsaw ]
  * New upstream release.
  * debian/patches/python35-compat.patch: Upstream provided patch to
    fix compatibility issues with Python 3.5.

  [ Piotr Ożarowski ]
  * Convert debian/copyright to DEP-5 and use it to remove minified JS files
  * Add dh-python to Build-Depends
  * Standards-Version bumped to 3.9.6 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 26 Aug 2015 17:24:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 5.0.38)
+Build-Depends: debhelper (>= 5.0.38), dh-python
 Build-Depends-Indep: python-all, python-setuptools,
  python3-all, python3-setuptools,
 # to rebuild docs:
@@ -11,7 +11,7 @@
 # for tests:
  python-nose, python-markupsafe, python-mock,
  python3-nose, python3-markupsafe, python3-mock
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.makotemplates.org/
 X-Python-Version: >= 2.4
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/mako/trunk/

## mako 1.0.3+ds1

=== debian/changelog ===
mako (1.0.3+ds1-1ubuntu1) xenial; urgency=medium

  * Update template match data in test suite to fix FTBFS. Patch by Neil
    Williams. (Closes: #813668)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 11 Apr 2016 22:37:09 +0200

mako (1.0.3+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 31 Oct 2015 23:27:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mako
 Section: python
 Priority: optional
-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 5.0.38), dh-python
 Build-Depends-Indep: python-all, python-setuptools,
@@ -14,8 +15,8 @@
 Standards-Version: 3.9.6
 Homepage: http://www.makotemplates.org/
 X-Python-Version: >= 2.4
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/mako/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/mako/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/mako.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/mako.git
 
 Package: python-mako
 Architecture: all

## mako 1.0.4+ds1

=== debian/changelog ===
mako (1.0.4+ds1-1ubuntu1) yakkety; urgency=medium

  * debian/patches/update_for_sphinx_structure.patch: Update for sphinx
    internal structure change layout.  Closes: #830178, LP: #1628712.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 28 Sep 2016 16:15:41 -0700

mako (1.0.4+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Piotr Ożarowski ]
  * New upstream release
  * Replace python-nose with python-pytest (following upstream, this also
    closes: #813668)
  * Standards-Version bumped to 3.9.8 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 14 Apr 2016 21:16:59 +0200

## mako 1.0.6+ds1

=== debian/changelog ===
mako (1.0.6+ds1-2) unstable; urgency=medium

  * Update tests for Pygments 2.2 (closes: 852908, thanks to Gilles Filippini
    for the patch) 

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 07 Feb 2017 22:23:36 +0100

mako (1.0.6+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 21 Dec 2016 12:37:13 +0100

mako (1.0.4+ds1-2) unstable; urgency=medium

  * Fix FTBFS due to Sphinx API change (closes: 830178, thanks to Nishanth
    Aravamudan for the patch)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 02 Nov 2016 23:27:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mako
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 5.0.38), dh-python
 Build-Depends-Indep: python-all, python-setuptools,
@@ -10,12 +9,12 @@
 # to rebuild docs:
  python-sphinx, python-changelog, python-sphinx-paramlinks,
 # for tests:
- python-nose, python-markupsafe, python-mock,
- python3-nose, python3-markupsafe, python3-mock
-Standards-Version: 3.9.6
+ python-pytest, python-markupsafe, python-mock,
+ python3-pytest, python3-markupsafe, python3-mock
+Standards-Version: 3.9.8
 Homepage: http://www.makotemplates.org/
 X-Python-Version: >= 2.4
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/mako.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/mako.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/mako.git
 
 Package: python-mako

## mako 1.0.7+ds1

=== debian/changelog ===
mako (1.0.7+ds1-1ubuntu0.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Regular Expression DoS
    - debian/patches/CVE-2022-40023.patch: fix tag regexp to match quoted groups correctly
      in mako/lexer.py.
    - CVE-2022-40023

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 19 Sep 2022 08:04:38 -0300

mako (1.0.7+ds1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 4.0.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 14 Jul 2017 16:44:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: mako
 Section: python
 Priority: optional
-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 5.0.38), dh-python
+Build-Depends: debhelper (>= 10~), dh-python
 Build-Depends-Indep: python-all, python-setuptools,
  python3-all, python3-setuptools,
 # to rebuild docs:
@@ -11,7 +12,7 @@
 # for tests:
  python-pytest, python-markupsafe, python-mock,
  python3-pytest, python3-markupsafe, python3-mock
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.makotemplates.org/
 X-Python-Version: >= 2.4
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/mako.git

=== debian/watch ===
version=3
opts=\
uversionmangle=s/(rc|a|b|c)/~$1/,\
pgpsigurlmangle=s/$/.asc/,\
dversionmangle=s/\+ds\d*$//,\
repacksuffix=+ds1 \
http://pypi.debian.net/Mako/Mako-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mako 1.1.0+ds1

=== debian/changelog ===
mako (1.1.0+ds1-1ubuntu2.1) focal-security; urgency=medium

  * SECURITY UPDATE: Regular Expression DoS
    - debian/patches/CVE-2022-40023.patch: fix tag regexp to match quoted groups correctly
      in mako/lexer.py.
    - CVE-2022-40023

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 19 Sep 2022 07:38:41 -0300

mako (1.1.0+ds1-1ubuntu2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Feb 2020 20:43:44 +0100

mako (1.1.0+ds1-1ubuntu1) focal; urgency=medium

  * Build the Python2 module, still needed.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Jan 2020 14:31:19 +0100

mako (1.1.0+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Antonio Valentino ]
  * New upstream release (Closes: #944705).
  * Set upstream metadata fields: Bug-Database.
  * Set upstream metadata fields: Bug-Submit.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 12.
  * Standards-Version bumped to v4.4.1 (no chenges).
  * Drop Python 2 support (Closes: #936985).
  * d/control: add build dependency from python3-zzzeeksphinx.
  * d/control: fix cme warnongs.
  * d/copyright: updated.
  * New 0001-Use-zzzeeksphinx-sphinx-theme.patch to use the
    "zzzeekshpinx" sphonx theme instead of "zsmako"
    (still not available in debian).
  * d/rules: fix test rule.
  * d/source/lintian-overrides: dropped (it was unused).
  * d/control: add Testsuite: autopkgtest-pkg-python and
    Rules-Requires-Root: no (fix lintian warnings).
  * d/rules: fix clean target (Closes: #917043).
  * d/rules: install the correcy changelog (Closes: #877280).
  * d/rules: add support for nodoc (Closes: #917044).

  [ Piotr Ożarowski ]
  * /usr/bin/mako-render moved to python3-mako package.
    python3-mako now Breaks/Replaces python-mako (<< 1.1.0+ds1-1)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 03 Jan 2020 20:17:22 +0100

=== debian/control ===
--- 
+++ 
@@ -4,25 +4,25 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 10~), dh-python
-Build-Depends-Indep: python-all, python-setuptools,
- python3-all, python3-setuptools,
-# to rebuild docs:
- python-sphinx, python-changelog, python-sphinx-paramlinks,
-# for tests:
+Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12), dh-python
+Build-Depends-Indep: python3-all, python3-setuptools,
+ python-all, python-setuptools,
  python-pytest, python-markupsafe, python-mock,
- python3-pytest, python3-markupsafe, python3-mock
-Standards-Version: 4.0.0
-Homepage: http://www.makotemplates.org/
-X-Python-Version: >= 2.4
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/mako.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/mako.git
+ python3-sphinx <!nodoc>, python3-changelog <!nodoc>,
+ python3-sphinx-paramlinks <!nodoc>,
+ python3-pytest, python3-markupsafe, python3-mock,
+ python3-zzzeeksphinx <!nodoc>
+Standards-Version: 4.4.1
+Homepage: https://www.makotemplates.org/
+Vcs-Git: https://salsa.debian.org/python-team/modules/mako.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/mako
 
 Package: python-mako
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
 Suggests: python-beaker (>= 1.1), python-mako-doc
-Enhances: python-pylons, python-turbogears, python-pygments
 Description: fast and lightweight templating for the Python platform
  Mako is a template library written in Python. It provides a familiar, non-XML
  syntax which compiles into Python modules for maximum performance. Mako's
@@ -36,7 +36,9 @@
 Package: python3-mako
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
-Suggests: ${python3:Suggests}, python3-beaker, python-mako-doc
+Breaks: python-mako (<< 1.1.0+ds1-1)
+Replaces: python-mako (<< 1.1.0+ds1-1) 
+Suggests: ${python3:Suggests}, python3-beaker, python-mako-doc <!nodoc>
 Description: fast and lightweight templating for the Python 3 platform
  Mako is a template library written in Python. It provides a familiar, non-XML
  syntax which compiles into Python modules for maximum performance. Mako's
@@ -49,12 +51,10 @@
 
 Package: python-mako-doc
 Section: doc
+Build-Profiles: <!nodoc>
 Architecture: all
-Priority: extra
 Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
-Breaks: python-mako (<< 0.3.6-1)
-Replaces: python-mako (<< 0.3.6-1)
-Suggests: python-mako, python3-mako
+Suggests: python3-mako
 Description: documentation for the Mako Python library
  Mako is a template library written in Python.
  .

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

PYVERS=$(shell pyversions -vs)
PY3VERS=$(shell py3versions -vs)
pkgdir = $(CURDIR)/debian/python$(if $(patsubst 3.%,,$(1)),,3)-mako
-include /usr/share/python/python.mk

clean:
	dh_testdir
	dh_testroot
	rm -f build-*
	rm -rf build
	find . -name '*\.py[co]' -delete
	rm -rf .pytest_cache
	rm -rf Mako.egg-info
	dh_clean

build:
build-indep: build-docs
build-arch:

test: $(PY3VERS:%=test-python%)
test-python%:
	-
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	python$* -m pytest -Wignore
endif

build-docs:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_testdir
	dh_installdirs -i
	cd doc/build && sphinx-build -N -q -E -b html . \
	 $(call pkgdir,2.X)-doc/usr/share/doc/python-mako-doc/html/
	rm -rf $(call pkgdir,2.X)-doc/usr/share/doc/python-mako-doc/html/.doctrees
	touch $@
endif

install: $(PYVERS:%=install-python%) $(PY3VERS:%=install-python%) build-docs test
	dh_install
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	mv $(CURDIR)/debian/python-mako-doc/usr/share/vim/addons/indent/mako_indent.vim \
	   $(CURDIR)/debian/python-mako-doc/usr/share/vim/addons/indent/mako.vim
	#rm -rf debian/python-mako-doc/usr/share/doc/python-mako/doc/build
endif

install-python%:
	$(if $(filter 2.7,$*),, \
	  python$* setup.py build_scripts	--executable=/usr/bin/python3 \
	)
	python$* setup.py install $(py_setup_install_args) \
		--root $(call pkgdir,$*) --prefix=/usr
	([ -d build/lib ] && mv build/lib $(shell python$* -c 'from distutils.command.build import build; from distutils.core import Distribution; b = build(Distribution()); b.finalize_options(); print(b.build_platlib)')) || true

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i doc/build/changelog.rst
	dh_installdocs -i
	dh_installexamples -i
	dh_link -i
	dh_installman -i
	rm -rf debian/python-mako/usr/bin
	dh_python2 -i
	dh_python3 -i
	dh_compress -i -X.py -X.js -Xmakotemplates.txt
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch:

binary: binary-indep binary-arch

.PHONY: clean build-arch build-indep binary binary-arch binary-indep install
